Skip to main content
GET
/
api
/
v1
/
projects
/
{projectId}
/
roles
cURL
curl --request GET \
  --url https://us.infisical.com/api/v1/projects/{projectId}/roles \
  --header 'Authorization: Bearer <token>'
{
  "roles": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "slug": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "projectId": "<string>",
      "description": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

projectId
string
required

The ID of the project.

Response

Default Response

roles
object[]
required